## GtkInputDialog GtkInputDialog — Configure devices for the XInput extension |

## Functions

GtkWidget * | gtk_input_dialog_new ()

## Signals

void | disable-device | Run Last
void | enable-device | Run Last

## Types and Values

struct | GtkInputDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkDialog
                                    ╰── GtkInputDialog

## Implemented Interfaces

GtkInputDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

GtkInputDialog displays a dialog which allows the user to configure XInput extension devices. For each device, they can control the mode of the device (disabled, screen-relative, or window-relative), the mapping of axes to coordinates, and the mapping of the devices macro keys to key press events.

GtkInputDialog contains two buttons to which the application can connect; one for closing the dialog, and one for saving the changes. No actions are bound to these by default. The changes that the user makes take effect immediately.

As of GTK+ 2.20, GtkInputDialog has been deprecated since it is too specialized.

## Functions

### gtk_input_dialog_new ()

    GtkWidget *
    gtk_input_dialog_new (void);

`gtk_input_dialog_new` has been deprecated since version 2.20 and should not be used in newly-written code.

Don't use this widget anymore.

Creates a new GtkInputDialog.

#### Returns

the new GtkInputDialog.

## Types and Values

### struct GtkInputDialog

    struct GtkInputDialog;

`GtkInputDialog` is deprecated and should not be used in newly-written code.

## Signal Details

### The `“disable-device”` signal

    void
    user_function (GtkInputDialog *inputdialog,
                   GdkDevice      *arg1,
                   gpointer        user_data)

This signal is emitted when the user changes the mode of a device from a GDK_MODE_SCREEN or GDK_MODE_WINDOW to GDK_MODE_ENABLED.

#### Parameters

inputdialog | the object which received the signal. |
deviceid | The ID of the newly disabled device. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“enable-device”` signal

    void
    user_function (GtkInputDialog *inputdialog,
                   GdkDevice      *arg1,
                   gpointer        user_data)

This signal is emitted when the user changes the mode of a device from GDK_MODE_DISABLED to a GDK_MODE_SCREEN or GDK_MODE_WINDOW.

#### Parameters

inputdialog | the object which received the signal. |
deviceid | The ID of the newly enabled device. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last